﻿Type=Class
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private mModule As Object
	Private mEventName As String
	Private mText As String
	Private TJO As JavaObject
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Module As Object,EventName As String,Text As String)
	mModule = Module
	mEventName = EventName
	mText = Text
	TJO.InitializeNewInstance("javafx.scene.control.CheckMenuItem",Array(Text))
	TJO.RunMethod("setSelected",Array(True))
	Dim Event As Object = TJO.CreateEventFromUI("javafx.beans.value.ChangeListener","CBChanged",False)
	TJO.RunMethodJO("selectedProperty",Null).RunMethod("addListener",Array(Event))
End Sub

'Checkbox Check Changed
Sub CBChanged_Event(MethodName As String,Args() As Object) As Object
	If SubExists(mModule,mEventName & "_SelectedChanged") Then CallSub2(mModule,mEventName & "_SelectedChanged",Me)
	Return True
End Sub

Public Sub getSelected As Boolean
	Return TJO.RunMethod("isSelected",Null)
End Sub
Public Sub setSelected (Checked As Boolean)
	TJO.RunMethod("setSelected",Array(Checked))
End Sub

Sub getText As String
	Return mText
End Sub

Sub setTag(Tag As Object)
	TJO.RunMethod("setUserData",Array(Tag))
End Sub
Sub getTag As Object
	Return TJO.RunMethod("getUserData",Null)
End Sub

Sub AsJavaObject As JavaObject
	Return TJO
End Sub